> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Requests

> Lista requests.

Lista `requests` em ordem decrescente de criação.

## Filtros

<ParamField query="method" type="string">
  Filtra por método HTTP.
</ParamField>

<ParamField query="path" type="string">
  Filtra por path exato.
</ParamField>

<ParamField query="source" type="string">
  Filtra por origem (`api`, `hosted`, `dashboard`, `gateway` ou `system`).
</ParamField>

<ParamField query="status" type="string">
  Filtra por status (`pending`, `succeeded` ou `failed`).
</ParamField>

<ParamField query="status_code" type="integer">
  Filtra por status HTTP.
</ParamField>

<ParamField query="api_key" type="string">
  Filtra por API key.
</ParamField>

<ParamField query="created_at[gte]" type="string">
  Filtra requests criados a partir do timestamp informado.
</ParamField>

<ParamField query="created_at[lte]" type="string">
  Filtra requests criados até o timestamp informado.
</ParamField>

<ParamField query="limit" type="integer">
  Quantidade de itens, de `1` a `100`.
</ParamField>

<ParamField query="starting_after" type="string">
  Cursor para a próxima página.
</ParamField>

<ParamField query="ending_before" type="string">
  Cursor para a página anterior.
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/requests?method=POST&status=failed&limit=10" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={}
  {
    "object": "list",
    "data": [
      {
        "id": "req_123",
        "object": "request",
        "actor": {
          "id": "sk_live_123",
          "type": "api_key"
        },
        "api_key": "sk_live_123",
        "completed_at": "2026-05-27T14:09:28Z",
        "created_at": "2026-05-27T14:09:27Z",
        "duration_ms": 184,
        "error": {
          "code": "invalid_request",
          "message": "amount must be a positive integer",
          "param": "amount",
          "request_log_url": "https://dashboard.chargefy.io/request-logs/req_123",
          "type": "invalid_request_error"
        },
        "ip_address": "203.0.113.10",
        "livemode": true,
        "metadata": {},
        "method": "POST",
        "path": "/v1/payment-intents",
        "query": {},
        "related_objects": [],
        "request_body": {
          "amount": -1,
          "currency": "brl"
        },
        "request_body_type": "json",
        "request_headers": {
          "authorization": "[redacted]",
          "content-type": "application/json"
        },
        "request_log_url": "https://dashboard.chargefy.io/request-logs/req_123",
        "response_body": {
          "error": {
            "code": "invalid_request",
            "message": "amount must be a positive integer",
            "param": "amount",
            "request_log_url": "https://dashboard.chargefy.io/request-logs/req_123",
            "type": "invalid_request_error"
          }
        },
        "response_body_type": "json",
        "response_headers": {
          "content-type": "application/json"
        },
        "source": "api",
        "status": "failed",
        "status_code": 400,
        "updated_at": "2026-05-27T14:09:28Z",
        "user_agent": "curl/8.7.1"
      }
    ],
    "has_more": false,
    "url": "/v1/requests"
  }
  ```

  ```json 400 theme={}
  {
    "error": {
      "code": "invalid_request",
      "message": "limit must be between 1 and 100.",
      "param": "limit",
      "request_log_url": "https://dashboard.chargefy.io/request-logs/req_456",
      "type": "invalid_request_error"
    }
  }
  ```
</ResponseExample>
